wayland::server::zwp_idle_inhibit_manager_v1_t(3)

NAME
wayland::server::zwp_idle_inhibit_manager_v1_t - control behavior when display idles

SYNOPSIS

#include <wayland-server-protocol-unstable.hpp>

Inherits wayland::server::resource_t.

  Public Member Functions

std::function< void()> & on_destroy ()
destroy the idle inhibitor object
std::function< void(zwp_idle_inhibitor_v1_t, surface_t)> & on_create_inhibitor ()
create a new inhibitor object
bool proxy_has_object () const
Check whether this wrapper actually wraps an object.
void post_no_memory () const
uint32_t get_id () const
client_t get_client () const
unsigned int get_version () const
std::string get_class ()

Detailed Description

control behavior when display idles

This interface permits inhibiting the idle behavior such as screen blanking, locking, and screensaving. The client binds the idle manager globally, then creates idle-inhibitor objects for each surface.

Warning! The protocol described in this file is experimental and backward incompatible changes may be made. Backward compatible changes may be added together with the corresponding interface version bump. Backward incompatible changes are done by bumping the version number in the protocol and interface names and resetting the interface version. Once the protocol is to be declared stable, the 'z' prefix and the version number in the protocol and interface names are removed and the interface version number is reset.

Definition at line 623 of file wayland-server-protocol-unstable.hpp.

Member Function Documentation

  std::string wayland::server::resource_t::get_class () [inherited]
Retrieve the interface name (class) of a resource object.

Returns
    Interface name of the resource object.

  client_t wayland::server::resource_t::get_client () const [inherited]
Get the associated client

Returns
    the client that owns the resource.

  uint32_t wayland::server::resource_t::get_id () const [inherited]
Get the internal ID of the resource

Returns
    the internal ID of the resource

  unsigned int wayland::server::resource_t::get_version () const [inherited]
Get interface version

Returns
    Interface version this resource has been constructed with.

  std::function< void(zwp_idle_inhibitor_v1_t, surface_t)> & zwp_idle_inhibit_manager_v1_t::on_create_inhibitor ()

create a new inhibitor object

Parameters
    id
    surface the surface that inhibits the idle behavior

Create a new inhibitor object associated with the given surface.

Definition at line 4342 of file wayland-server-protocol-unstable.cpp.

  std::function< void()> & zwp_idle_inhibit_manager_v1_t::on_destroy ()

destroy the idle inhibitor object Destroy the inhibit manager.

Definition at line 4336 of file wayland-server-protocol-unstable.cpp.

  void wayland::server::resource_t::post_no_memory () const [inherited]
Post 'not enough memory' error to the client

If the compositor has not enough memory to fulfill a certail request of the client, this function can be called to notify the client of this circumstance.

  bool wayland::server::resource_t::proxy_has_object () const [inherited]

Check whether this wrapper actually wraps an object.

Returns
    true if there is an underlying object, false if this wrapper is empty

Author

Generated automatically by Doxygen for Wayland++ from the source code.